# mpi4py.MPI.Status

class mpi4py.MPI.Status

  Bases: `object`

  Status object.

  static __new__(cls, status=None)
    Parameters:

      status (Status | None)

    Return type:

      Self

  Methods Summary

  `Get_count`([datatype]) | Get the number of top level elements.
  `Get_elements`(datatype) | Get the number of basic elements in a datatype.
  `Get_error`() | Get message error.
  `Get_source`() | Get message source.
  `Get_tag`() | Get message tag.
  `Is_cancelled`() | Test to see if a request was cancelled.
  `Set_cancelled`(flag) | Set the cancelled state associated with a status.
  `Set_elements`(datatype, count) | Set the number of elements in a status.
  `Set_error`(error) | Set message error.
  `Set_source`(source) | Set message source.
  `Set_tag`(tag) | Set message tag.
  `f2py`(arg) |
  `py2f`() |
  `tomemory`() | Return status memory view.

  Attributes Summary

  `cancelled` | Cancelled state.
  `count` | Byte count.
  `error` | Message error.
  `source` | Message source.
  `tag` | Message tag.

  Methods Documentation

  Get_count(datatype=BYTE)

    Get the number of top level elements.

    Parameters:

      datatype (Datatype)

    Return type:

      int

  Get_elements(datatype)

    Get the number of basic elements in a datatype.

    Parameters:

      datatype (Datatype)

    Return type:

      int

  Get_error()

    Get message error.

    Return type:

      int

  Get_source()

    Get message source.

    Return type:

      int

  Get_tag()

    Get message tag.

    Return type:

      int

  Is_cancelled()

    Test to see if a request was cancelled.

    Return type:

      bool

  Set_cancelled(flag)

    Set the cancelled state associated with a status.

    Note

    This method should be used only when implementing query callback functions for generalized requests.

    Parameters:

      flag (bool)

    Return type:

      None

  Set_elements(datatype, count)

    Set the number of elements in a status.

    Note

    This method should be only used when implementing query callback functions for generalized requests.

    Parameters:

      - datatype (Datatype)

      - count (int)

    Return type:

      None

  Set_error(error)

    Set message error.

    Parameters:

      error (int)

    Return type:

      None

  Set_source(source)

    Set message source.

    Parameters:

      source (int)

    Return type:

      None

  Set_tag(tag)

    Set message tag.

    Parameters:

      tag (int)

    Return type:

      None

  classmethod f2py(arg)
    Parameters:

      arg (list[int])

    Return type:

      Self

  py2f()
    Return type:

      list[int]

  tomemory()

    Return status memory view.

    Return type:

      memoryview

  Attributes Documentation

  cancelled

    Cancelled state.

  count

    Byte count.

  error

    Message error.

  source

    Message source.

  tag

    Message tag.